%define major 0

Summary: A collection of SNMP protocol tools from UC-Davis.
Name: ucd-snmp
Version: 4.2.1
Release: 5mdk
Copyright: BSDish
Group: System/Servers
Source0: ftp://ucd-snmp.ucdavis.edu/ucd-snmp-%{version}.tar.bz2
Source1: ucd-snmpd.init
Source2: snmpd.conf
Source3: ucd-snmpd.logrotate
BuildRoot: %{_tmppath}/%{name}-buildroot
Prereq: /sbin/chkconfig
Requires: libopenssl0 openssl
BuildRequires: libopenssl0-devel 

Patch0: ucd-snmp-4.2.1-soname.patch.bz2
Patch1: ucd-snmp-4.2-rpm40.patch.bz2
Patch2: ucd-snmp-4.2.1-perlpath.patch.bz2


# Potential buffer overflow fix from Caldera
# Check: http://sourceforge.net/tracker/index.php?func=detail&aid=452026&group_id=12694&atid=312694
Patch3: ucd-snmp-4.2.1-security2.patch.bz2

Patch4: ucd-snmp-4.2.1-rpath.patch.bz2

%description
SNMP (Simple Network Management Protocol) is a protocol used for network
management (hence the name).  The NET-SNMP project includes various SNMP
tools; an extensible agent, an SNMP library, tools for requesting or
setting information from SNMP agents, tools for generating and handling
SNMP traps, a version of the netstat command which uses SNMP, and a
Tk/Perl mib browser.  This package contains the snmpd and snmptrapd
daemons, documentation, etc.

Install the ucd-snmp package if you need network management tools.
You will probably also want to install the ucd-snmp-utils package, which
contains NET-SNMP utilities.

%package -n libsnmp%{major}
Group: System/Libraries
Summary: Librairies for Network management (SNMP), from the NET-SNMP project.
Obsoletes: ucd-snmp

%description -n libsnmp%{major}
The libsnmp%{major} package contains the libraries for use with the NET-SNMP
project's network management tools.

%package -n libsnmp%{major}-devel
Group: Development/C
Summary: The development environment for the NET-SNMP project.
Provides: %{name}-devel
Provides: libsnmp-devel
Requires: libsnmp%{major} = %{version}
Requires: libopenssl0 
Obsoletes: ucd-snmp-devel

%description -n libsnmp%{major}-devel
The libsnmp%{major}-devel package contains the development libraries and
header files for use with the NET-SNMP project's network management
tools.

Install the ucd-snmp-devel package if you would like to develop
applications for use with the NET-SNMP project's network management
tools. You'll also need to have the ucd-snmp and ucd-snmp-utils packages
installed.

%package utils
Group: Networking/Other
Summary: Network management utilities using SNMP, from the NET-SNMP project.
Obsoletes: ucd-snmp-util
Requires: libopenssl0 openssl

%description utils
The ucd-snmp package contains various utilities for use with the
UCD-SNMP network management project.

Install this package if you need utilities for managing your network
using the SNMP protocol.  You'll also need to install the ucd-snmp
package.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

#libtoolize --force
#aclocal
#autoconf
%serverbuild

./configure \
--prefix=%{_prefix} \
--sysconfdir=%{_sysconfdir} \
--datadir=%{_datadir} \
--mandir=%{_mandir} \
--enable-static \
--enable-shared        \
--includedir=%{_includedir/snmp} \
--with-sys-location="Unknown" \
--with-logfile="/var/log/snmpd.log" \
--with-persistent-directory="/var/lib/ucd-snmp" \
--with-libwrap \
--with-zlib \
--disable-debugging \
--with-openssl \
--with-sys-contact="root@localhost"

%make 

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall \
	persistentdir=${RPM_BUILD_ROOT}/var/ucd-snmp \
	includedir=$RPM_BUILD_ROOT%{_includedir}/ucd-snmp \
	PERSISTENT_DIRECTORY=${RPM_BUILD_ROOT}/var/ucd-snmp

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/snmpd

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/snmp
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/snmp/snmpd.conf

install -d ${RPM_BUILD_ROOT}%{_initrddir}
install -m 755 %SOURCE1 $RPM_BUILD_ROOT%{_initrddir}/snmpd


%post
%_post_service snmpd 

%post -n libsnmp%{major} -p /sbin/ldconfig

%preun
%_preun_service snmpd 

%postun -n libsnmp%{major} -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc	AGENT.txt COPYING ChangeLog EXAMPLE.conf FAQ NEWS PORTING README* TODO local
%dir   %{_sysconfdir}/snmp
%config(noreplace) %{_sysconfdir}/snmp/snmpd.conf
%config(noreplace) %{_initrddir}/snmpd
%{_datadir}/snmp
%{_sbindir}/*

%attr(0644,root,root)	%{_mandir}/man1/snmpd.1*
%attr(0644,root,root)	%{_mandir}/man5/*
%attr(0644,root,root)	%{_mandir}/man8/snmptrapd.8*

%files utils
%defattr(-,root,root,-)
%{_bindir}/*

%attr(0644,root,root)	%{_mandir}/man1/snmpbulkwalk.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpbulkget.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpcmd.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpdelta.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpget.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpgetnext.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpnetstat.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpset.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpstatus.1*
%attr(0644,root,root)	%{_mandir}/man1/snmptable.1*
%attr(0644,root,root)	%{_mandir}/man1/snmptest.1*
%attr(0644,root,root)	%{_mandir}/man1/snmptranslate.1*
%attr(0644,root,root)	%{_mandir}/man1/snmptrap.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpusm.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpwalk.1*

%files -n libsnmp%{major}
%defattr(-,root,root,-)
/usr/lib/*.so.*

%files -n libsnmp%{major}-devel
%defattr(0644,root,root,755)
%defattr(-,root,root,-)
/usr/lib/*.so
/usr/lib/*.a
/usr/lib/*.la
/usr/include/ucd-snmp
%{_mandir}/man3/*

%changelog
* Mon Sep 24 2001 Vincent Saugey <vince@mandrakesoft.com> 4.2.1-5mdk
- Change release

* Sat Sep 22 2001 Vincent Saugey <vince@mandrakesoft.com> 4.2.1-4mdk
- Change require on openssl.

* Sun Sep 16 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-3mdk
- added patch 2 and 3
- build with OpenSSL support

* Mon Aug 25 2001 Vincent Saugey <vince@mandrakesoft.com> 4.2.1-2mdk
- Add obsolete

* Thu Apr  5 2001 Vincent Saugey <vince@mandrakesoft.com> 4.2.1-1mdk
- Up to 4.2.1
- Libification
- Merging rh patch

* Fri Jun  9 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.2-1mdk
- Up to 4.1.2
- Clean in %file

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1.1-6mdk
- Remove crappy perl-PDL dependences.

* Thu May 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1.1-5mdk
- libtoolizifications.

* Wed Apr 12 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-4mdk
- Correct ldconfig in postun

* Sat Mar 25 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-3mdk
- many change in config snmpd file

* Thu Mar 23 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-2mdk
- Remove tkmib
- Patch for broken link in man page

* Thu Mar 21 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-1mdk
- Update to 4.1.1
- Modification in spec file
- corrected group

* Mon Jan 24 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed spec file (%install tried to mkdir /var/ucd-snmp)

* Tue Nov 30 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- --with-libwrap, not --with-libwrap="-lwrap -lnsl" (rh on crack)
- bump spec to 3mdk to get above Chmouel

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build
- 4.0.1 + redhat patches

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 3.6.2

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr  8 1999 Wes Hardaker <wjhardaker@ucdavis.edu>
- fix Source0 location.
- fix the snmpd.conf file to use real community names.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.6.1, fix configuration file stuff.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- restore host resources mib
- simplified config file
- rebuild for 6.0.

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- remove backup file to fix perl dependencies

* Tue Dec  8 1998 Jeff Johnson <jbj@redhat.com>
- add all relevant rpm scalars to host resources mib.

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- enable libwrap (#253)
- enable host module (rpm queries over SNMP!).

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.3.
- don't include snmpcheck until perl-SNMP is packaged.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- ucd-snmpd.init: start daemon w/o -f.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- don't start snmpd unless requested
- start snmpd after pcmcia.

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- all but config (especially SNMPv2p) ready for prime time

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.

* Tue Dec 30 1997 Otto Hammersmith <otto@redhat.com>
- created the package... possibly replace cmu-snmp with this.
